Page MenuHomePhabricator

Strip markers in references data
Open, NormalPublic

Description

References data is saved during parse and when {{#tag:ref|...}} constructs are used, themselves containing <ref> tags, strip markers will replace the embedded <ref> tags. This behavior can also occur with other tags but <ref> tags are the most important, since such constructs can occur when notes contain references, for example at Sea. Based on the transclusion count of Template:Refn, this affects about 9000 articles on enwiki.

Event Timeline

Cenarium created this task.Feb 23 2016, 2:15 AM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 23 2016, 2:15 AM
Cenarium triaged this task as Normal priority.Feb 23 2016, 2:15 AM

Change 272306 had a related patch set uploaded (by Cenarium):
Partial fix for stripped wikitext issue in references data

https://gerrit.wikimedia.org/r/272306

Change 272658 had a related patch set uploaded (by Cenarium):
Remove strip markers from references before saving them to the database

https://gerrit.wikimedia.org/r/272658

Change 272305 had a related patch set uploaded (by Cenarium):
Add ParserAfterExtensionTagSubstitution hook to handle #tag issues

https://gerrit.wikimedia.org/r/272305

Izno moved this task from Unsorted backlog to Doing on the Cite board.Mar 17 2016, 2:36 PM

Change 279894 had a related patch set uploaded (by Cenarium):
Handle nested references

https://gerrit.wikimedia.org/r/279894

Change 277893 had a related patch set uploaded (by Cenarium):
Avoid nowiki tags in reference links

https://gerrit.wikimedia.org/r/277893

Change 277893 merged by jenkins-bot:
Avoid nowiki tags in reference links

https://gerrit.wikimedia.org/r/277893

Change 272305 abandoned by Cenarium:
Add ParserAfterExtensionTagSubstitution hook to handle #tag issues

Reason:
Turns out not to be needed for this purpose.

https://gerrit.wikimedia.org/r/272305

Change 272306 abandoned by Cenarium:
Partial fix for stripped wikitext issue in references data

Reason:
Better fix in I04dec3d5d0d2dd066d7ee46847f3d640651d1871.

https://gerrit.wikimedia.org/r/272306

Change 272658 abandoned by Cenarium:
Remove strip markers from references before saving them to the database

Reason:
Let's see if the fixes for this issue are enough.

https://gerrit.wikimedia.org/r/272658

Strip markers would remain in the half parsed text but would be explained in the API:


In the parsed text, they would be correctly replaced:

Izno moved this task from Doing to Defect backlog on the Cite board.Apr 9 2019, 5:42 PM
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptApr 9 2019, 5:42 PM